summaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorPatrick Gartung <gartung@fnal.gov>2020-07-08 15:05:58 -0500
committerTodd Gamblin <tgamblin@llnl.gov>2020-08-13 00:33:31 -0700
commit4d25481473120303ceab42c3f7a675d0b90afcd0 (patch)
treef0d40664536fd8878ddd3a8cdc5598c128f7379e /share
parentecbfa5e44853fbd07028bd5f98e3b0f2d783f0ed (diff)
downloadspack-4d25481473120303ceab42c3f7a675d0b90afcd0.tar.gz
spack-4d25481473120303ceab42c3f7a675d0b90afcd0.tar.bz2
spack-4d25481473120303ceab42c3f7a675d0b90afcd0.tar.xz
spack-4d25481473120303ceab42c3f7a675d0b90afcd0.zip
Buildcache: bindist test without invoking spack compiler wrappers. (#15687)
* Buildcache: * Try mocking an install of quux, corge and garply using prebuilt binaries * Put patchelf install after ccache restore * Add script to install patchelf from source so it can be used on Ubuntu:Trusty which does not have a patchelf pat package. The script will skip building on macOS * Remove mirror at end of bindist test * Add patchelf to Ubuntu build env * Revert mock patchelf package to allow other tests to run. * Remove depends_on('patchelf', type='build') relying instead on * Test fixture to ensure patchelf is available. * Call g++ command to build libraries directly during test build * Flake8 * Install patchelf in before_install stage using apt unless on Trusty where a build is done. * Add some symbolic links between packages * Flake8 * Flake8: * Update mock packages to write their own source files * Create the stage because spec search does not create it any longer * updates after change of list command arguments * cleanup after merge * flake8
Diffstat (limited to 'share')
-rwxr-xr-xshare/spack/qa/install_patchelf.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/share/spack/qa/install_patchelf.sh b/share/spack/qa/install_patchelf.sh
new file mode 100755
index 0000000000..7660ba8eef
--- /dev/null
+++ b/share/spack/qa/install_patchelf.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# Copyright 2013-2020 Lawrence Livermore National Security, LLC and other
+# Spack Project Developers. See the top-level COPYRIGHT file for details.
+#
+# SPDX-License-Identifier: (Apache-2.0 OR MIT)
+
+#
+# Description:
+# Install patchelf for use in buildcache unit tests
+#
+# Usage:
+# install-patchelf.sh
+#
+set -ex
+if [ "$TRAVIS_OS_NAME" = "linux" ]; then
+ olddir=$PWD
+ cd /tmp
+ wget https://github.com/NixOS/patchelf/archive/0.10.tar.gz
+ tar -xvf 0.10.tar.gz
+ cd patchelf-0.10 && ./bootstrap.sh && ./configure --prefix=/usr && make && sudo make install && cd $olddir
+fi